#include <iostream>
using namespace std;
long long niz[200001];
long long niz_gresaka[200001];
int main()
{
    long long N,levi,desni;
    cin >> N;
    ; //meri koliko gresaka ima u ovom nizu da bi bio sortiran
    for(long long i=0;i<N;i++){
        cin >> niz[i];}
    long long prethodni = 0;
    niz_gresaka[0] = 0;
    if(N > 1){
    for(long long i=1;i<N;i++){
        if(niz[i] < niz[i-1]){
        prethodni++;}
    niz_gresaka[i] = prethodni;
        }
    }
    cin >> N;
    for(long long i=0;i<N;i++){
        cin >> levi >> desni;
        levi--;desni--;
        if(niz_gresaka[desni] - niz_gresaka[levi] >= 2){
            cout << "NE" << endl;
        }
        else{
            cout << "DA" << endl;
        }
    }
    
}